Bug 1301227 - Tiering should break out of iterating query file once cycle time completes.
Tiering should break out of iterating query file once cycle time completes.
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Lambright
Depends On:
Blocks: 1318203
  Show dependency treegraph
Reported: 2016-01-22 17:31 EST by Dan Lambright
Modified: 2016-06-16 09:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1318203 (view as bug list)
Last Closed: 2016-06-16 09:55:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Lambright 2016-01-22 17:31:26 EST
Description of problem:

When iterating the query file during migration, should break out of loop once cycle time completes.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Set demotion cycle time to 120 seconds.
2. Create many large files.
2. Wait for them to be demoted.

Actual results:

All the files will be demoted, this may take longer than 120 seconds. 

Expected results:

As many files as can be moved in 120 seconds shall be migrated.

Additional info:
Comment 1 Vijay Bellur 2016-02-02 17:07:06 EST
REVIEW: http://review.gluster.org/13284 (cluster/tier: break out of iterating query file once cycle time ends) posted (#2) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 2 Vijay Bellur 2016-02-03 11:15:26 EST
COMMIT: http://review.gluster.org/13284 committed in master by Dan Lambright (dlambrig@redhat.com) 
commit 58a91f36f639de21f6e77d1f43f5eb091ae96fb0
Author: Dan Lambright <dlambrig@redhat.com>
Date:   Fri Jan 22 17:31:48 2016 -0500

    cluster/tier: break out of iterating query file once cycle time ends
    When iterating the query file during migration, tiering should
    break out of the loop once cycle time completes. Otherwise it
    may be possible to stay in the loop for a long time. If that
    happens updates to files will become stale and have not impact
    Change-Id: Ib60cf74bc84e8646e6a0da21ff04954b1b83c414
    BUG: 1301227
    Signed-off-by: Dan Lambright <dlambrig@redhat.com>
    Reviewed-on: http://review.gluster.org/13284
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
Comment 3 Mike McCune 2016-03-28 18:28:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Niels de Vos 2016-06-16 09:55:37 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.